﻿// --------------------------------------------------------------------------------------------
// Stefan Cruysberghs
// http://www.scip.be
// Article: Customize WCF RIA Services code generation
// http://www.scip.be/index.php?Page=ArticlesNET36
// --------------------------------------------------------------------------------------------
using Microsoft.ServiceModel.DomainServices.Tools;
using Microsoft.ServiceModel.DomainServices.Tools.TextTemplate;
using Microsoft.ServiceModel.DomainServices.Tools.TextTemplate.CSharpGenerators;

namespace ScipBe.Demo.RiaCodeGen.Web.Generators
{
    [DomainServiceClientCodeGenerator("MyCodeGenerator", "C#")]
    public class MyCodeGenerator : CSharpClientCodeGenerator
    {
        protected override EntityGenerator EntityGenerator
        {
            get { return new MyEntityGenerator(); }
        }

        protected override DomainContextGenerator DomainContextGenerator
        {
            get { return new MyDomainContextGenerator(); }
        }

        protected override WebContextGenerator WebContextGenerator
        {
            get { return new MyWebContextGenerator(); }
        }

        protected override ComplexObjectGenerator ComplexObjectGenerator
        {
            get { return base.ComplexObjectGenerator; }
        }

        protected override EnumGenerator EnumGenerator
        {
            get { return base.EnumGenerator; }
        }
    }
}